Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## djbuch.kapitel_19
Class EmailNotes

    java.lang.Object
      |
      +--djbuch.kapitel_19.Message
            |
            +--djbuch.kapitel_19.EmailNotes

public class EmailNotes
extends Message

Implementiert eine Email, die über die Notes Mail.box verschickt wird. Der besondere Vorteil an dieser Klasse ist, dass die Mail Absender frei definiert werden können.

Author:
  Thomas Ekert

Field Summary

Fields inherited from class djbuch.kapitel_19.Message
`TYPE_EMAIL, TYPE_EMAIL_HTML, TYPE_NONE, TYPE_OTHER, TYPE_SMS`

Constructor Summary
`EmailNotes(Session s)`
`EmailNotes(Session s, java.lang.String serverName)`

Method Summary
`java.lang.String` | `getRecipient()` Deprecated. - Diese Methode darf für diese Implementierung von Message nicht verwendet werden.
`java.lang.String[]` | `getRecipientArray()` liefert das Array der Empfänger
`java.lang.String` | `getReplyTo()` gibt den ReplyTo (String) zurück.
`java.lang.String` | `getSubject()`
`boolean` | `isRecipientOK(java.lang.String[] rec)` Bei der Verwendung mehrer Empfänger: Überprüfung ob alle ok sind.
`void` | `recycle()` räumt die NotesRessourcen auf.
`boolean` | `send()` versendet die Email über die Notes mail.box
`void` | `setAttachFileName(java.lang.String fn)` wird dieser Wert gesetzt, wird der Email eine Datei diesen Namens angehängt und nach Versand GELÖSCHT!!
`void` | `setMessage(java.lang.String message)` Setzt die Nachricht er E-Mail
`void` | `setRecipient(java.lang.String rec)` Setzt einen einzelnen Empfänger
`void` | `setRecipient(java.lang.String[] rec)` Setzt mehrere Empfänger für die Message.
`void` | `setReplyTo(java.lang.String replyTo)` Setzt den ReplyTo sofern nicht null Falls nicht null, muss es sich um eine korrekte E-Mail handeln.
`void` | `setSender(java.lang.String sender)` Setzt den Absender der E-Mail Wirft eine MessageException, falls der Absender nicht ok ist.
`void` | `setSubject(java.lang.String sub)` legt das Subject der Email fest.

Methods inherited from class djbuch.kapitel_19.Message
`getConfiguration, getConfigurations, getMessage, getResponseMessage, getSendCount, getSender, getSendStatus, setConfiguration, stringMailType`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EmailNotes

    public EmailNotes(Session s)
               throws MessageException

Throws:
  `MessageException`

### EmailNotes

    public EmailNotes(Session s,
                      java.lang.String serverName)
               throws MessageException

Throws:
  `MessageException`

Method Detail

### recycle

    public void recycle()

  räumt die NotesRessourcen auf.

### setAttachFileName

    public void setAttachFileName(java.lang.String fn)

  wird dieser Wert gesetzt, wird der Email eine Datei diesen Namens angehängt und nach Versand GELÖSCHT!!

  Parameters:
    `fn` -

### setSender

    public void setSender(java.lang.String sender)
                   throws MessageException

  Setzt den Absender der E-Mail Wirft eine MessageException, falls der Absender nicht ok ist.

  Overrides:
    `setSender` in class `Message`
    `MessageException`

### isRecipientOK

    public boolean isRecipientOK(java.lang.String[] rec)

  Bei der Verwendung mehrer Empfänger: Überprüfung ob alle ok sind.

  Parameters:
    `rec` - - Array von Strings
  Returns:
    - true, falls alle ok, false, falls mindestens einer nicht ok.

### getRecipient

    public java.lang.String getRecipient()

  Deprecated. - Diese Methode darf für diese Implementierung von Message nicht verwendet werden.

  Overrides:
    `getRecipient` in class `Message`
  Returns:
    - null oder Wert
  See Also:
    `()`

### getRecipientArray

    public java.lang.String[] getRecipientArray()

  liefert das Array der Empfänger

  Returns:

### setRecipient

    public void setRecipient(java.lang.String rec)
                      throws MessageException

  Setzt einen einzelnen Empfänger

  Overrides:
    `setRecipient` in class `Message`
  Parameters:
    `rec` - - Empfänger
  Throws:
    `MessageException` - - falls der zu Setzende Recipient nicht ok (hierfür muss isRecipientOK implementiert werden.) ist.

### setReplyTo

    public void setReplyTo(java.lang.String replyTo)
                    throws MessageException

  Setzt den ReplyTo sofern nicht null Falls nicht null, muss es sich um eine korrekte E-Mail handeln.

  Parameters:
    `replyTo` -
  Throws:
    `MessageException`

### getReplyTo

    public java.lang.String getReplyTo()

  gibt den ReplyTo (String) zurück.

  Returns:

### setRecipient

    public void setRecipient(java.lang.String[] rec)
                      throws MessageException

  Setzt mehrere Empfänger für die Message.

  Parameters:
    `rec` - - Empfänger
  Throws:
    `MessageException` - - falls der zu Setzende Recipient nicht ok (hierfür muss isRecipientOK implementiert werden.) ist.

### setMessage

    public void setMessage(java.lang.String message)
                    throws MessageException

  Setzt die Nachricht er E-Mail

  Overrides:
    `setMessage` in class `Message`
    `MessageException`

### setSubject

    public void setSubject(java.lang.String sub)
                    throws MessageException

  legt das Subject der Email fest.

  Parameters:
    `sub` -
  Throws:
    `MessageException`

### getSubject

    public java.lang.String getSubject()

  Returns:
    - das Subject der email

### send

    public boolean send()
                 throws MessageException

  versendet die Email über die Notes mail.box

  Overrides:
    `send` in class `Message`
    `MessageException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD